Skip to content

Start Edit Pipeline

POST
/api/creative/edit/pipeline/start

Start the 3-pass editing pipeline, streaming NDJSON events.

StartEditPipelineRequest

Request to start the editing pipeline.

object
documentId
Any of:
string
outlineNodeId
Any of:
string
scope
required
EditScope

Edit scope

string
Allowed values: document chapter book project
styleGuideIds
Styleguideids

Style guides to apply

Array<string>
includeLaganResearch
Includelaganresearch

Include market research context

boolean
default: true
documentOrderStrategy
DocumentOrderStrategy

How to order documents for PROJECT scope

string
default: title_sort
Allowed values: title_sort custom_fields_sequence explicit
explicitDocumentOrder
Explicitdocumentorder

Ordered doc IDs when strategy=EXPLICIT

Array<string>
chunkSize
Chunksize

Target chunk size in characters

integer
default: 8000 >= 2000 <= 32000
overlapParagraphs
Overlapparagraphs

Number of paragraphs to overlap between chunks

integer
default: 2 <= 10
resume
Resume

Resume an incomplete session if one exists

boolean

Successful Response

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object